For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Scout DocsAccess Scout
API & SDK
API & SDK
  • Endpoints
      • GETGet all syncs
      • POSTCreate a source sync to execute
      • GETGet a sync by ID.
      • PUTUpdate a source sync
      • DELDelete a sync
      • POSTSync a source.
LogoLogo
Scout DocsAccess Scout
EndpointsSyncs

Get all syncs

Beta
GET
https://api.scoutos.com/v2/syncs
GET
/v2/syncs
$curl https://api.scoutos.com/v2/syncs \
> -H "Authorization: Bearer <token>"
200Retrieved
1{
2 "data": [
3 {
4 "sync_config": {
5 "source_settings": {
6 "source_archetype_id": "web_crawler_v1",
7 "sitemap_url": "https://example.com/sitemap.xml",
8 "crawler_settings": {
9 "scraper": {
10 "scraper_type": "http"
11 },
12 "text_extractor": {
13 "text_extractor_type": "readability"
14 },
15 "allow": "/products/,/blog/",
16 "deny": "/admin/,/login/",
17 "strip": "utm_source,utm_medium",
18 "strip_urls": true,
19 "allowed_domains": "example.com,cdn.example.com",
20 "user_agent_header": "Mozilla/5.0 (compatible; SyncBot/1.0; +https://example.com/bot)",
21 "max_depth": 10,
22 "max_page_count": 5000,
23 "exclude_before_lastmod_date": "2023-12-01T00:00:00Z"
24 },
25 "mode": "merge"
26 },
27 "destination": {
28 "destination_type": "collections.v2",
29 "collection_id": "col_987654321",
30 "table_id": "tbl_123456789"
31 },
32 "mapping": {
33 "fields": [
34 {}
35 ]
36 },
37 "schedule": {
38 "frequency": "daily",
39 "enabled": true
40 }
41 },
42 "sync_id": "sync_abc123def456",
43 "last_updated_at": "2024-01-15T09:30:00Z",
44 "created_at": "2024-01-15T09:30:00Z",
45 "created_by": {
46 "type": "user",
47 "details": {
48 "api_key": {}
49 }
50 },
51 "last_updated_by": {
52 "type": "user",
53 "details": {
54 "api_key": {}
55 }
56 },
57 "trigger_id": "trigger_xyz789ghi012"
58 }
59 ]
60}
Was this page helpful?
Previous

Create a source sync to execute

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Response

Successful Response
datalist of objects